using System;
using AutoMapper;
using Qusion.Cms.Core.Domain;
using Qusion.Cms.Modules.Karte.Core;
using Qusion.Cms.Modules.Karte;
using Qusion.Framework;

namespace Qusion.WebApp.Areas.cms.Models.Karte
{
    /// <summary>
    /// Auto mapping from domain to models classes and vice versa
    /// </summary>
    public class  KartaProfile : Profile
    {
        private readonly KartaService _KartaService;

        public KartaProfile(KartaService KartaService)
        {
            _KartaService = KartaService;
        }

        protected override void Configure()
        {
            CreateMap<Karta, KartaListModel>();
            CreateMap<Karta, KartaModel>();
           
            CreateMap<KartaQueryInput, KartaQuery>()
               .ConstructUsing(x => KartaQuery.Default);
        }
    }
}